# homebridge-hue-chase

Homebridge-hue-chase is a good way to add a little spice to your home lighting set up. This simple plugin will cycle the colors of any given hue lights.

## Installation

1. Clone the repository by running `git clone ssh://git@thebword.ddns.net:3122/watsonb8/homebridge-hue-chase.git`
2. Run `npm install` to install required modules
3. Run `npm run build` to build the module
4. Run `npm link` or install globally to link this instance to your global homebridge instance

> NOTE: Upon starting this plugin for the first time, you will be asked to press the sync button on your hue bridge

## Configuration

```
{
    "platform": "HueChase",
    "ipAddress": "example.com",
    "userName": "",
    "clientKey": "",
    "sequences": [
    {
        "name": "Play Sequence",
        "transitionTime": 60000,
        "matchAllLights": false,
        "colors": ["#00e456", "#21adea", "#f14cfc", "#8c4cfc", "#e40098"],
        "lights": ["Play left", "Play right"]
    },
    ]
}
```

#### Platform

- `ipAddress`: The ipaddres or host name of the hue hub

- `userName`: The userName to use when authenticating with the hue hub

> NOTE: This will be visible in the console upon first run of the platform

- `clientKey`: This clientKey to use when authenticating with the hue hub

> NOTE: This will be visible in the console upon first run of the platform

- `sequences`: A list of sequence objects

#### sequences

- `name`: The name of the sequence. This will be the label of the enable switch

- `transitionTime`: The amount of time in milliseconds it will take to transition from one color to the next

- `colors`: A list hex colors

- `lights`: The list of lights to use in the sequence
